Page MenuHomePhabricator

[GSoC requirement] Community Bonding Report for Port catimages.py to pywikibot-core
Closed, ResolvedPublic

Description

Reports of progress made for the GSoC project T129611 during the Community Bonding phase.

Meetings

(Minutes and Agenda are mentioned in the task related to the Meeting)

  • Sun 1 May 2016 - 13:00 UTC : T133763, E172
  • Sa 7 May 2016 - 12:30 UTC: T134121, E173
  • Fri 13 May 2016 - 12:30 UTC: T134656, google calendar (E178)
  • Fri 20 May 2016 - 11:30 UTC: T135230, google calendar

Communication Plan:

  • Complete weekly progress reports on https://phabricator.wikimedia.org/T133762 before the weekly meeting.
  • Bi Weekly skype meetings on Saturday 12:30 UTC
  • Weekly IRC meetings on #gsoc-catimages every Saturday 12:30 UTC
  • For urgent issues if no mentor is on IRC, use Emails
  • For slow communication (with history incase user is not online) use Conpherence
  • Meeting requests will have: (i) A task for the agenda and Minutes, (ii) A Calendar event on phabricator, and (iii) A google calendar request.

Work done

I've been working on a few aspects during the community Bonding period, they are:

  • Getting to know commons - I've contributed a bit on commons, and got nearly a thousand edits on my account in the past month.
  • Getting to know pywikibot - I've been involved in the testing part in pywikibot (Pywikibot-tests) a bit and also some solved a few bugs here and there. The most significant contribution of mine is helping out to moving pywikibot's travis test from nose to pytest.
  • Getting to know the dependencies of catimages - I've already contributed to yaafe by getting them python3 support. I've made a few issues to suggest other changes to make the testing or installing easier too. Some worked out, others didn't.
  • Understanding catimages - I've gone through the source code a bit, and understood a large portion of it. This will be really useful when I need to consult something during the coding period.

Lessons learnt

I've learnt a lot about how wikis function, while contributing in commons. I made some mistakes like requesting deletions of wrong things (by mistake) and so on and the admins have appropriately cleaned up my mess :D. Other than that, I had a lot of fun with the testing infrastructure at pywikibot and learnt how pytest works, I found this to be one of the most interesting tasks in the community bonding time. I also learnt a little about ctypes and cython (which I had no idea about earlier) while contributing to Yaafe. While doing the tasks in catimages, I realized how little privacy most camera owners have because of the magical exifdata that stores all sorts of information!
I've had a great time learning and working with the communities involved.

Midterm review: Minimum viable product

  • Detect faces, eyes, ears, etc using haarcascades - Categories involved: Unidentified people, Faces, Human ears, Human eyes, Human torso
  • Categorize based on metadata (libmagic, exif, etc.):
    • File formats - JPG, GIF, PNG, DjVu, BMP, PDF, Videos, Ogg sound, MIDI, FLAC, Ogv video, Animated GIF, Animated PNG, Animated SVG
    • "Created with" categories - OpenOffice, Inkscape, GNU Octave, Matlab, ImageMagick, Adobe Photoshop, Picasa, GIMP, R, Geogebra, Chemtool
  • Barcode and QR Code detection
  • Graphics detection (identifying whether an image can be put in Category:Graphics) - the first step for Lien Drawing detection

Community Bonding (April 22 - May 22)

Event Timeline

AbdealiJK created this task.May 9 2016, 6:46 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 9 2016, 6:46 AM
AbdealiJK renamed this task from [GSoC requirement] Community Bonding for Port catimages.py to pywikibot-core to [GSoC requirement] Community Bonding Report for Port catimages.py to pywikibot-core.May 9 2016, 6:51 AM
AbdealiJK updated the task description. (Show Details)
DrTrigon moved this task from GSoC Meetings to GSoC on the Pywikibot-catfiles board.
jayvdb added a subscriber: jayvdb.May 16 2016, 2:49 AM

https://commons.wikimedia.org/wiki/Commons:Picture_of_the_Year/2015 is the best of the best of Commons; well worth looking through, especially the categorisation. Unfortunately you are not eligible to vote this year (https://tools.wmflabs.org/meta/accounteligibility/39/AbdealiJK)

Indeed :) Thanks a lot for the info

Please create a GUP, which should appear also at https://www.mediawiki.org/wiki/User:AbdealiJK , which is linked to from https://phabricator.wikimedia.org/p/AbdealiJK/ .

Also subscribe to commons-l@lists.wikimedia.org and send an introductory email about your project to that list, and cc: wikitech-l@lists.wikimedia.org and pywikibot@lists.wikimedia.org . Sorry I forgot to mention this earlier. (https://lists.wikimedia.org/pipermail/wikitech-l/2016-May/085649.html reminded me) Feel free to draft offline and ask for it to be reviewed before sending.

AbdealiJK updated the task description. (Show Details)May 18 2016, 2:20 AM
AbdealiJK updated the task description. (Show Details)May 20 2016, 12:51 PM
DrTrigon updated the task description. (Show Details)May 20 2016, 1:11 PM
DrTrigon updated the task description. (Show Details)

@DrTrigon @jayvdb are there any other comments on the report or can I close this task as complete ?

"While doing the tasks in catimages, I realized how little privacy most camera owners have because of the magical exifdata that stores all sorts of information!" - exactly this is the educative value we bring to the world through catimages and commons. ;) I like that one!

Content and report are fine for me. Thanks for your work!

DrTrigon closed this task as Resolved.May 25 2016, 6:21 AM